<template>
  <div class="blue-tag">
    <div class="blue-tag__background">
      <slot></slot>
    </div>
  </div>
</template>

<script setup lang="ts"></script>

<style>
:root {
  --blue-tag-border-color: linear-gradient(
    95.2deg,
    #eeea85 4.71%,
    #c6c152 26.44%,
    #eeea85 50.53%,
    #989a3e 75.1%,
    #eeea85 95.42%
  );
  --blue-tag-background-color: linear-gradient(
    93.97deg,
    #283066 5.31%,
    #36417c 36.42%,
    #171b4a 65.18%,
    #293592 95.82%
  );
  --blue-tag-border-width: 0.125rem;
  --blue-tag-text-color: white;
  --blue-tag-text-size: 1rem;
}
</style>

<style scoped>
.blue-tag {
  width: max-content;
  padding: var(--blue-tag-border-width);
  background: var(--blue-tag-border-color);
  border-radius: calc(
    var(--blue-tag-text-size) + calc(var(--blue-tag-text-size) * 0.25)
  );
  color: var(--blue-tag-text-color);
  font-size: var(--blue-tag-text-size);
  font-weight: 500;
}

.blue-tag__background {
  width: max-content;
  box-sizing: border-box;
  background: var(--blue-tag-background-color);
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25),
    inset 0px 4px 4px rgba(0, 0, 0, 0.25);
  border-radius: calc(
    var(--blue-tag-text-size) + calc(var(--blue-tag-text-size) * 0.25)
  );
  padding-left: var(--blue-tag-text-size);
  padding-right: var(--blue-tag-text-size);
  padding-top: calc(var(--blue-tag-text-size) * 0.125);
  padding-bottom: calc(var(--blue-tag-text-size) * 0.125);
}
</style>
